@echo off
chcp 65001>NUL
REM AYTO TO SCRIPT ΕΠΕΞΕΡΓΑΖΕΤΑΙ ENA H ΠΕΡΙΣΣΟΤΕΡΑ ARXEIA ΒΙΝΤΕΟ ΜΕ ΤΗΝ ΧΡΗΣΗ NVIDIA ΚΑΡΤΑΣ ΓΡΑΦΙΚΩΝ
REM ΠΡΕΠΕΙ ΝΑ ΕΧΕΤΕ ΦΟΡΤΩΣΕΙ ΤΟ ΠΛΗΡΕΣ ΠΑΚΕΤΟ ΤOY DRIVER ΤΗΣ AMD, ΟΧΙ ΜΟΝΟ ΤΟΥΣ DRIVERS & ΟΧΙ ΤΗΣ MS
REM ΤΑ SCRIPT ΕΙΝΑΙ ΜΕΡΟΣ ΤΟΥ gamelink.gr-ffmpeg-scripts.zip ΑΠΟ ΤΟ EL.GAMELINK.GR
REM Ακολουθεί το Url για να μάθετε περισσότερα ή να το κατεβάσετε. Καλά video editing!
REM 
REM https://el.gamelink.gr/blog/Pws-Mporeite-Na-Mikrynete-ta-Video-gia-tis-MkDocs-Selides-sas-me-to-ffmpeg/ 
REM 
pushd "%cd%"
cd /D ..\../finalFFmpegScripts/X/
set "appp=%cd%"
setlocal && cd /D "%arxiki%"
:Restart
echo.
echo  Σύνθετη Επεξεργασία ενός ή περισσοτέρων αρχείων Βίντεο με την Χρήση της NVIDIA Κάρτας Γραφικών.
echo.
set /p input="Γράψε το ή τα βίντεο σου με κενά: "
echo.
call "%appp%\vid2NVIDIA-GPU.bat" %input%
endlocal
popd

rem https://trac.ffmpeg.org/wiki/HWAccelIntro
rem https://docs.nvidia.com/video-technologies/video-codec-sdk/12.0/ffmpeg-with-nvidia-gpu/index.html
rem https://stackoverflow.com/questions/44510765/gpu-accelerated-video-processing-with-ffmpeg
rem διαβάστε τις παραμέτρους στην Ζ κατηγορια για τις παραμετρους